Request Information

URI Parameters

NameDescriptionTypeAdditional information
Offset

integer

None.

Filters

Gets or sets the filters.

Dictionary of string [key] and string [value]

None.

Page

Gets or sets the page.

integer

Range: inclusive between 1 and 2147483647

PageSize

Gets or sets the page size.

integer

Range: inclusive between 1 and 2147483647

Sort

Gets or sets sort field.

string

None.

SortDesc

Gets or sets a value indicating whether data is sorted descending.

boolean

None.

Body Parameters

None.

Response Information

Resource Description

A list of rate adjustments and total records.

PaginationResultOfPico.RateAdjustment
NameDescriptionTypeAdditional information
data

Collection of Pico.RateAdjustment

None.

meta

None.

Response Formats

application/json, text/json

Sample:
{
  "data": [
    {
      "affectedValue": "sample String 1",
      "amount": 2.0,
      "endDate": "2026-04-13T09:31:24.1249655Z",
      "escrowWaiver": true,
      "exceptionDescription": "sample String 4",
      "exceptions": "sample String 5",
      "isOverride": true,
      "loanPurpose": "sample String 7",
      "lockPeriod": 1,
      "maxCLTV": 1.0,
      "maxCreditScore": 1,
      "maxHCLTV": 1.0,
      "maxLoanAmount": 1.0,
      "maxLTV": 1.0,
      "maxUnits": 1,
      "minCLTV": 1.0,
      "minCreditScore": 1,
      "minHCLTV": 1.0,
      "minLoanAmount": 1.0,
      "minLTV": 1.0,
      "minUnits": 1,
      "occupancyType": "sample String 8",
      "startDate": "2026-04-13T09:31:24.1249655Z",
      "state": "sample String 9",
      "source": "sample String 10",
      "loanProductGroup": "11",
      "organization": "12",
      "id": "13",
      "priceAdjustmentType": "14",
      "propertyType": "1",
      "specialFeature": "1"
    },
    {
      "affectedValue": "sample String 1",
      "amount": 2.0,
      "endDate": "2026-04-13T09:31:24.1249655Z",
      "escrowWaiver": true,
      "exceptionDescription": "sample String 4",
      "exceptions": "sample String 5",
      "isOverride": true,
      "loanPurpose": "sample String 7",
      "lockPeriod": 1,
      "maxCLTV": 1.0,
      "maxCreditScore": 1,
      "maxHCLTV": 1.0,
      "maxLoanAmount": 1.0,
      "maxLTV": 1.0,
      "maxUnits": 1,
      "minCLTV": 1.0,
      "minCreditScore": 1,
      "minHCLTV": 1.0,
      "minLoanAmount": 1.0,
      "minLTV": 1.0,
      "minUnits": 1,
      "occupancyType": "sample String 8",
      "startDate": "2026-04-13T09:31:24.1249655Z",
      "state": "sample String 9",
      "source": "sample String 10",
      "loanProductGroup": "11",
      "organization": "12",
      "id": "13",
      "priceAdjustmentType": "14",
      "propertyType": "1",
      "specialFeature": "1"
    }
  ],
  "meta": {
    "totalRecords": 1
  }
}

text/html

Sample:
{"data":[{"affectedValue":"sample String 1","amount":2.0,"endDate":"2026-04-13T09:31:24.1249655Z","escrowWaiver":true,"exceptionDescription":"sample String 4","exceptions":"sample String 5","isOverride":true,"loanPurpose":"sample String 7","lockPeriod":1,"maxCLTV":1.0,"maxCreditScore":1,"maxHCLTV":1.0,"maxLoanAmount":1.0,"maxLTV":1.0,"maxUnits":1,"minCLTV":1.0,"minCreditScore":1,"minHCLTV":1.0,"minLoanAmount":1.0,"minLTV":1.0,"minUnits":1,"occupancyType":"sample String 8","startDate":"2026-04-13T09:31:24.1249655Z","state":"sample String 9","source":"sample String 10","loanProductGroup":"11","organization":"12","id":"13","priceAdjustmentType":"14","propertyType":"1","specialFeature":"1"},{"affectedValue":"sample String 1","amount":2.0,"endDate":"2026-04-13T09:31:24.1249655Z","escrowWaiver":true,"exceptionDescription":"sample String 4","exceptions":"sample String 5","isOverride":true,"loanPurpose":"sample String 7","lockPeriod":1,"maxCLTV":1.0,"maxCreditScore":1,"maxHCLTV":1.0,"maxLoanAmount":1.0,"maxLTV":1.0,"maxUnits":1,"minCLTV":1.0,"minCreditScore":1,"minHCLTV":1.0,"minLoanAmount":1.0,"minLTV":1.0,"minUnits":1,"occupancyType":"sample String 8","startDate":"2026-04-13T09:31:24.1249655Z","state":"sample String 9","source":"sample String 10","loanProductGroup":"11","organization":"12","id":"13","priceAdjustmentType":"14","propertyType":"1","specialFeature":"1"}],"meta":{"totalRecords":1}}